Jump to content
Ranran89

Aggiornare versione php

Recommended Posts

Buongiorno. 

Ho la Versione di PrestaShop: 1.7.0.6 e mi è stato consigliato di aggiornare la  Versione di PHP: 5.6.40 che ho attualmente.

Come posso fare per aggiornare la versione php?

 

Share this post


Link to post
Share on other sites

Salve,

mah io direi di aggiornare soprattutto la versione di Prestashop perché quella é proprio una delle prime e quindi avrá parecchi effetti collaterali non graditi in futuro:-))

Per il php puó farlo ( se il suo hosting lo permette) dal pannello Cpanel o Plesk....ma occhio che i moduli non potrebbero digerire certe versioni del php sorprattutto le ultime...se va con la 7.1 in genere funziona tutto;-).

 

ciao

  • Like 1

Share this post


Link to post
Share on other sites

Grazie mille per l'informazione.

Mi puoi dire cortesemente dove devo andare per fare l'aggiornamento alla versione di prestashop che mi consigli?

 

Share this post


Link to post
Share on other sites

Hai uno shop in produzione o ti stai divertendo con una copia di test?

Perché se hai uno shop in produzione non devi farci nulla assolutamente altrimenti ti salta tutto....semmai devi crearti un ambiente di test dove fare upgrade o migrazione che sono cose differenti. Io ti consiglio di fare una migrazione ossia ti crei uno shop con l'ultima versione ed importi i dati dello shop di produzione...fai tutti check e test neccessari e metti in rete.

cmq sono operazioni che richiedono capacitá nel gestire i processi di upgrade/migrazione....il "0ne click" upgrade é un mito di Prestashop che poteva anche andare bene nella 1.6 ( non si sono particolari problemi ad aggiornare con il modulo ) ma che nella 1.7 ha sempre problemi...1.7.0 e 1.7.6 sono ben differenti

 

ciao

Share this post


Link to post
Share on other sites
9 hours ago, Ranran89 said:

Grazie mille per l'informazione.

Mi puoi dire cortesemente dove devo andare per fare l'aggiornamento alla versione di prestashop che mi consigli?

 

Perchè apri più post con la stessa domanda?
Ti ho già detto nell'altro post che fare domanda senza dare informazioni essenziali, può solo comportare mancate risposte o risposte non utili....

In questo caso Fabry non ti ha potuto rispondere in modo utile al tuo problema immediato, ma ha cercato di darti indicazioni e norme di massima.... a parte non aprire due post per la stessa cosa, avresti dovuto specificare le motivazione e per quale conseguenza hai la necessità di fare l'upgrade della versione php....
 

Come ti è stato risposto dall'altra parte:

Per PHP devi vedere con chi ti offre o gestisce l'hosting che deve provvedere ad aggiornarla, è alquanto strano che ci sia ancora quella versione se non per motivi particolari...

 

 



 

Share this post


Link to post
Share on other sites

ciao, c'è un tool o qualche modo per vedere quale modulo non supporta una determinata versione di PHP? ho provato ad aumentare la versione ma non funziona il sito e non riesco a capire quale modulo o tema va in crisi

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More